Package com.verisign.epp.codec.nv

## Class EPPNameVerificationMapFactory

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPMapFactory
  - - com.verisign.epp.codec.nv.EPPNameVerificationMapFactory

-     public class EPPNameVerificationMapFactory
      extends EPPMapFactory

  Factory for the Name Verification command and response objects.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NV_AUTHINFO` | XML tag name associated with Name Verification (NV) authorization information.
    `static java.lang.String` | `NS` | XML Namespace
    `static java.lang.String` | `NS_PREFIX` | XML Namespace Prefix

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory

      `EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPNameVerificationMapFactory()` | Default constructor for `EPPNameVerificationMapFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPCommand` | `createCommand​(org.w3c.dom.Element aMapElement)` | Creates a concrete `EPPCommand` from an XML element that represents an EPP command element.
    `EPPResponse` | `createResponse​(org.w3c.dom.Element aMapElement)` | creates a concrete `EPPResponse` from the passed in XML Element tree.
    `EPPService` | `getService()` | Gets the service information associated with the concrete `EPPExtFactory`.
    `java.util.Set` | `getXmlSchemas()` | Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final java.lang.String NS

      XML Namespace
      See Also:
        Constant Field Values

    - #### NS_PREFIX

          public static final java.lang.String NS_PREFIX

      XML Namespace Prefix
      See Also:
        Constant Field Values

    - #### ELM_NV_AUTHINFO

          public static final java.lang.String ELM_NV_AUTHINFO

      XML tag name associated with Name Verification (NV) authorization information. This value will be passed to the authInfo object.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationMapFactory

          public EPPNameVerificationMapFactory()

      Default constructor for `EPPNameVerificationMapFactory`.

  - ### Method Detail

    - #### createCommand

          public EPPCommand createCommand​(org.w3c.dom.Element aMapElement)
                                   throws EPPCodecException

      Creates a concrete `EPPCommand` from an XML element that represents an EPP command element.
      Specified by:
        `createCommand` in class `EPPMapFactory`
      Parameters:
        `aMapElement` - Command XML element.
      Returns:
        Concrete `EPPCommand` associated with the Command XML element.
      Throws:
        `EPPCodecException` - Error creating the concrete `EPPCommand`

    - #### createResponse

          public EPPResponse createResponse​(org.w3c.dom.Element aMapElement)
                                     throws EPPCodecException

      creates a concrete `EPPResponse` from the passed in XML Element tree. `aMapElement` must be the root node for the response extension.
      Specified by:
        `createResponse` in class `EPPMapFactory`
      Parameters:
        `aMapElement` - Mapping Extension EPP XML Element.
      Returns:
        Concrete `EPPResponse` instance associated with `aMapElement`.
      Throws:
        `EPPCodecException` - Error creating concrete `EPPResponse`

    - #### getService

          public EPPService getService()

      Gets the service information associated with the concrete `EPPExtFactory`. The service information is used by `EPPFactory` for extracting the XML namespace associated with the extension factory.
      Specified by:
        `getService` in class `EPPMapFactory`
      Returns:
        service description associated with the concrete `EPPExtFactory`.

    - #### getXmlSchemas

          public java.util.Set getXmlSchemas()

      Gets the list of XML schemas that need to be pre-loaded into the XML Parser.
      Overrides:
        `getXmlSchemas` in class `EPPMapFactory`
      Returns:
        `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
      See Also:
        `EPPMapFactory.getXmlSchemas()`